unit FormTZConn;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ExtCtrls, StdCtrls,
  Buttons, LCLIntf;

type

  { TFormTZConnection }

  TFormTZConnection = class(TForm)
    Image1: TImage;
    LabelClientCodePage1: TLabel;
    LabelDatabase: TLabel;
    LabelLibraryLocation: TLabel;
    LabelPassword: TLabel;
    LabelProtocol: TLabel;
    LabelUser: TLabel;
    Panel1: TPanel;
    PanelBottom: TPanel;
    SpeedButtonClose: TSpeedButton;
    SpeedButtonOnlineHelp: TSpeedButton;
    procedure FormActivate(Sender: TObject);
    procedure SpeedButtonCloseClick(Sender: TObject);
    procedure SpeedButtonOnlineHelpClick(Sender: TObject);
  private

  public

  end;

var
  FormTZConnection: TFormTZConnection;

implementation

uses   MainTutor2;

{$R *.lfm}

{ TFormTZConnection }

procedure TFormTZConnection.SpeedButtonOnlineHelpClick(Sender: TObject);
begin
  // Zeige die Online Erläuterung zu TZConnection
  if FormMainTutor2.Language = 'deutsch' then
    OpenUrl('https://lazarus.intern.es/tutor2_firebird_lazarus_zeos_tzconnection.html')
  else
    OpenUrl('https://lazarus.intern.ws/tutor2_firebird_lazarus_zeos_tzconnection.html')

end;

procedure TFormTZConnection.SpeedButtonCloseClick(Sender: TObject);
begin
  Close;
end;

procedure TFormTZConnection.FormActivate(Sender: TObject);

begin
    with FormMainTutor2 do begin
      LabelClientCodePage1.Caption:= DatabaseCharset;
      LabelDatabase.Caption:= DatabaseName;
      LabelLibraryLocation.Caption:= DatabaseLibrary;
      LabelPassword.Caption:= DatabasePassword;
      LabelProtocol.Caption:= DatabaseProtocol;
      LabelUser.Caption:= DatabaseUser;
    end;
end;

end.

