unit MainTutor2;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ExtCtrls, ComCtrls,
  DBGrids, StdCtrls, Buttons, EditBtn, DBCtrls, RTTICtrls, SynEdit,
  FileFind { Package filefindlaz },   SynHighlighterSQL, lemroutines,  Grids,
  ZConnection, ZSqlProcessor, ZScriptParser, ZDataset, datamaintutor2,
  fptexexport { Package lazdbexport }, Process, LCLIntf, FormTZConn;


type

  { TFormMainTutor2 }

  TFormMainTutor2 = class(TForm)
    Button1: TButton;
    ButtonEditDBGrid1: TButton;
    ButtonEditDBGridCounter: TButton;
    ButtonFbclient: TButton;
    ButtonFbclientAbbrechen: TButton;
    ButtonFbclientUebernehmen: TButton;
    CHDBCharset: TComboBox;
    CHDBCharsetDatabaseControl: TComboBox;
    CHDelimiter: TComboBox;
    CHDelimiter1: TComboBox;
    CheckBoxMonitor: TCheckBox;
    ComboBoxFbclient: TComboBox;
    DBComboBox1: TDBComboBox;
    DBEdit2: TDBEdit;
    DBEdit3: TDBEdit;
    DBGrid1: TDBGrid;
    DBGrid2: TDBGrid;
    DBGrid3: TDBGrid;
    DBGrid4: TDBGrid;
    DBGrid5: TDBGrid;
    DBGrid6: TDBGrid;
    DBGridEditQuery: TDBGrid;
    DBGridQuery: TDBGrid;
    DBNavigator1: TDBNavigator;
    DBNavigator2: TDBNavigator;
    DBNavigator3: TDBNavigator;
    DBNavigator4: TDBNavigator;
    DBNavigator5: TDBNavigator;
    DBNavigator6: TDBNavigator;
    DBNavigator7: TDBNavigator;
    DBNavigator8: TDBNavigator;
    DBNavigator9: TDBNavigator;
    DBText1: TDBText;
    DBText2: TDBText;
    DEDBSetpath: TDirectoryEdit;
    Edit1: TEdit;
    Edit2: TEdit;
    EditDelimeterText: TEdit;
    EditDelimeterText1: TEdit;
    EditSemikolon: TEdit;
    EdtDatabaseFileExt: TEdit;
    EdtToolPath: TEdit;
    EdtDBPassword: TEdit;
    EdtDBUsername: TEdit;
    EdtDatabaseName: TEdit;
    FileSearchFbclient: TFileSearch;
    LabelLanguage: TLabel;
    LabelStart1: TLabel;
    LabelContent1: TLabel;
    LabelContent2: TLabel;
    LabelStart2: TLabel;
    LabelTitle: TLabel;
    LabelNotSetTerm: TLabel;
    LabelQueryFile: TLabel;
    LabelSetTerm: TLabel;
    LabelTest: TLabel;
    LabelSQLCommandsFile: TLabel;
    LabelEmbedded: TLabel;
    LabelShowDatabase: TLabel;
    LabelShowDatabase1: TLabel;
    LabelUebfbclient: TLabel;
    LblDBCharSet: TLabel;
    LblDBName: TLabel;
    LblDBName2: TLabel;
    LblDBName3: TLabel;
    LblDBNameLogDatei: TLabel;
    LblDBNameProtocol: TLabel;
    LblDBPassword: TLabel;
    LblFDBType: TLabel;
    LblSetStorageLocation: TLabel;
    LblSetStorageLocation1: TLabel;
    LblFbclientLocation: TLabel;
    LblSetTurbobord: TLabel;
    MemoOverview: TMemo;
    MemoOverview1: TMemo;
    MemoOverview2: TMemo;
    MemoOverview3: TMemo;
    MemoOverview4: TMemo;
    MemoOverview5: TMemo;
    MemoOverview6: TMemo;
    MemoOverview7: TMemo;
    MemoOverview8: TMemo;
    MemoStart1: TMemo;
    MemoStart2: TMemo;
    Panel00RightShowTop: TPanel;
    PanelSettingsBottom: TPanel;
    PanelQQEditAll: TPanel;
    PanelQQRightShowBottom: TPanel;
    PanelQQClient: TPanel;
    PanelQueryQueryLeft: TPanel;
    PanelQueryQueryBottom: TPanel;
    PanelQueryQueryTop: TPanel;
    PanelStart2: TPanel;
    PanelStartTop: TPanel;
    PanelStartClient: TPanel;
    LabelDownloadTurbobird: TPanel;
    PathDBTool: TLabel;
    Memo1: TMemo;
    Memo2: TMemo;
    Memo3: TMemo;
    MemoEx01: TMemo;
    MemoEx02: TMemo;
    MemoEx03: TMemo;
    MemoEx04: TMemo;
    MemoEx05: TMemo;
    MemoHelp: TMemo;
    OpenDialog1: TOpenDialog;
    OpenDialogSQL: TOpenDialog;
    PanelSetToolPath: TPanel;
    PanelEditQueryClient: TPanel;
    PanelEditQueryLeft: TPanel;
    PanelEditQueryTop: TPanel;
    PanelEditQueryBottom: TPanel;
    PanelQueriesClient: TPanel;
    PanelQueriesLeft: TPanel;
    PanelQueriesTop: TPanel;
    PanelSearchFbclient: TPanel;
    PanelQueriesBottom: TPanel;
    PanelCreateTop: TPanel;
    PanelDataManipulationClient: TPanel;
    PanelDataManipulationLeft: TPanel;
    PanelDataManipulationTop: TPanel;
    PanelDataManipulationBottom: TPanel;
    PanelMiddle: TPanel;
    PanelSQLCommandsTop: TPanel;
    PanelSQLCommandsBottom: TPanel;
    PanelSettingsMain: TPanel;
    PanelClientCreateDB: TPanel;
    PanelBottomCreateDB: TPanel;
    PanelSetTZConnectionParameter: TPanel;
    SaveDialog1: TSaveDialog;
    SaveDialogSQL: TSaveDialog;
    SpeedButtonLoadLogFile: TSpeedButton;
    SpeedButtonDeleteLogFile: TSpeedButton;
    SpeedButtonOffline1: TSpeedButton;
    SpeedButtonOffline2: TSpeedButton;
    SpeedButtonOffline3: TSpeedButton;
    SpeedButtonOffline4: TSpeedButton;
    SpeedButtonOffline5: TSpeedButton;
    SpeedButtonOffline6: TSpeedButton;
    SpeedButtonOffline7: TSpeedButton;
    SpeedButtonOnline1: TSpeedButton;
    SpeedButtonOnline2: TSpeedButton;
    SpeedButtonOnline3: TSpeedButton;
    SpeedButtonOnline4: TSpeedButton;
    SpeedButtonOnline5: TSpeedButton;
    SpeedButtonOnline6: TSpeedButton;
    SpeedButtonw3schoolsQueries: TSpeedButton;
    SpeedButtonOverview: TSpeedButton;
    SpeedButtonOverview1: TSpeedButton;
    SpeedButtonOverview2: TSpeedButton;
    SpeedButtonOverview3: TSpeedButton;
    SpeedButtonOverview4: TSpeedButton;
    SpeedButtonOverview5: TSpeedButton;
    SpeedButtonOverview6: TSpeedButton;
    SpeedButtonOverview7: TSpeedButton;
    SpeedButtonOverview8: TSpeedButton;
    SpeedButtonLanguage: TSpeedButton;
    SpeedButtonOverviewSettings: TSpeedButton;
    SpeedButtonOffline: TSpeedButton;
    SpeedButtonOnline: TSpeedButton;
    SpeedButtonPdf: TSpeedButton;
    SpeedButtonPdf1: TSpeedButton;
    SpeedButtonPdf2: TSpeedButton;
    SpeedButtonPdf3: TSpeedButton;
    SpeedButtonPdf4: TSpeedButton;
    SpeedButtonPdf5: TSpeedButton;
    SpeedButtonPdf6: TSpeedButton;
    SpeedButtonPdf7: TSpeedButton;
    SpeedButtonTakeFromQueries: TSpeedButton;
    SpeedButtonQQExQuery: TSpeedButton;
    SpeedButtonQQOpen: TSpeedButton;
    SpeedButtonEditQueryToggleGrid: TSpeedButton;
    SpeedButtonDBTool: TSpeedButton;
    SpeedButtonCloseEditQuery: TSpeedButton;
    SpeedButtonExampleQQ01: TSpeedButton;
    SpeedButtonExampleQQ02: TSpeedButton;
    SpeedButtonExampleQQ03: TSpeedButton;
    SpeedButtonExampleQQ04: TSpeedButton;
    SpeedButtonExampleQQ05: TSpeedButton;
    SpeedButtonOpenEditQuery: TSpeedButton;
    SpeedButtonExample02: TSpeedButton;
    SpeedButtonExample01: TSpeedButton;
    SpeedButtonCreateEmptyDB: TSpeedButton;
    SpeedButtonExample03: TSpeedButton;
    SpeedButtonExample04: TSpeedButton;
    SpeedButtonExample05: TSpeedButton;
    SpeedButtonQQClose: TSpeedButton;
    SpeedButtonSpeedButtonQuerySave: TSpeedButton;
    SpeedButtonQueryLoad: TSpeedButton;
    SpeedButtonExecuteQuery: TSpeedButton;
    SpeedButtonClearLabel: TSpeedButton;
    SpeedButtonExportADRESS: TSpeedButton;
    SpeedButtonExport: TSpeedButton;
    SpeedButtonCloseQuery2: TSpeedButton;
    SpeedButtonDataBaseCreate: TSpeedButton;
    SpeedButtonExportContact: TSpeedButton;
    SpeedButtonOpenTables: TSpeedButton;
    SpeedButtonCloseTables: TSpeedButton;
    SpeedButtonClose: TSpeedButton;
    SpeedButtonChangeSort: TSpeedButton;
    SpeedButtonSQLScrptLoad: TSpeedButton;
    SpeedButtonDataBaseCreateSQLEdit: TSpeedButton;
    SpeedButtonSCLScriptExecute: TSpeedButton;
    SpeedButtonFbclientSuche: TSpeedButton;
    SpeedButtonSQLScrptSave: TSpeedButton;
    SpeedButtonTurbobird: TSpeedButton;
    SpeedButtonw3schools: TSpeedButton;
    Splitter1: TSplitter;
    Splitter2: TSplitter;
    Splitter3: TSplitter;
    Splitter4: TSplitter;
    Splitter5: TSplitter;
    Splitter7: TSplitter;
    SynEditQueryQuery: TSynEdit;
    SynEditQuery: TSynEdit;
    SynEditCreate: TSynEdit;
    SynEditCreateTerm: TSynEdit;
    SynEditSQLCommands: TSynEdit;
    SynSQLSynCommands: TSynSQLSyn;
    SynSQLSynCreate: TSynSQLSyn;
    TabSheetOverview: TTabSheet;
    TabSheetStart: TTabSheet;
    TabSheetQueryQuery: TTabSheet;
    TabSheetQueries: TTabSheet;
    TabSheetEditQuery: TTabSheet;
    TabSheetSettings: TTabSheet;
    TabSheetMain: TPageControl;
    PanelBottom: TPanel;
    PanelTop: TPanel;
    PanlMiddle: TPanel;
    StatusBar1: TStatusBar;
    TabSheetEditTable: TTabSheet;
    TabSheetSqlCommands: TTabSheet;
    TabSheetCreateDatabase: TTabSheet;
    MyExporter: TTeXExporter;
    procedure Button1Click(Sender: TObject);
    procedure ButtonEditDBGridCounterClick(Sender: TObject);
    procedure CheckBoxMonitorChange(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure ButtonEditDBGrid1Click(Sender: TObject);
    procedure ButtonFbclientAbbrechenClick(Sender: TObject);
    procedure ButtonFbclientClick(Sender: TObject);
    procedure ButtonFbclientUebernehmenClick(Sender: TObject);
    procedure CHDelimiterChange(Sender: TObject);
    procedure ComboBoxFbclientKeyPress(Sender: TObject; var Key: char);
    procedure FileSearchFbclientFileFind(fullpath: string; info: TSearchRec);
    procedure FormResize(Sender: TObject);
    procedure LabelDownloadTurbobirdDblClick(Sender: TObject);
    procedure PanelDataManipulationLeftResize(Sender: TObject);
    procedure PanelStartTopDblClick(Sender: TObject);
    procedure SpeedButtonCloseEditQueryClick(Sender: TObject);
    procedure SpeedButtonCreateEmptyDBClick(Sender: TObject);
    procedure SpeedButtonDBToolClick(Sender: TObject);
    procedure SpeedButtonDeleteLogFileClick(Sender: TObject);
    procedure SpeedButtonEditQueryToggleGridClick(Sender: TObject);
    procedure SpeedButtonExample02Click(Sender: TObject);
    procedure SpeedButtonExample03Click(Sender: TObject);
    procedure SpeedButtonExample04Click(Sender: TObject);
    procedure SpeedButtonExample05Click(Sender: TObject);
    procedure SpeedButtonExample01Click(Sender: TObject);
    procedure SpeedButtonLoadLogFileClick(Sender: TObject);
    procedure SpeedButtonOfflineClick(Sender: TObject);
    procedure SpeedButtonOnlineClick(Sender: TObject);
    procedure SpeedButtonOpenEditQueryClick(Sender: TObject);
    procedure SpeedButtonLanguageClick(Sender: TObject);
    procedure SpeedButtonOverviewSettingsClick(Sender: TObject);
    procedure SpeedButtonPdfClick(Sender: TObject);
    procedure SpeedButtonQQCloseClick(Sender: TObject);
    procedure SpeedButtonQQExQueryClick(Sender: TObject);
    procedure SpeedButtonQQOpenClick(Sender: TObject);
    procedure SpeedButtonQueryLoadClick(Sender: TObject);
    procedure SpeedButtonExecuteQueryClick(Sender: TObject);
    procedure SpeedButtonClearLabelClick(Sender: TObject);
    procedure SpeedButtonCloseClick(Sender: TObject);
    procedure SpeedButtonCloseQuery2Click(Sender: TObject);
    procedure SpeedButtonCloseTablesClick(Sender: TObject);
    procedure SpeedButtonDataBaseCreateClick(Sender: TObject);
    procedure SpeedButtonDataBaseCreateSQLEditClick(Sender: TObject);
    procedure SpeedButtonExportADRESSClick(Sender: TObject);
    procedure SpeedButtonExportContactClick(Sender: TObject);
    procedure SpeedButtonFbclientSucheClick(Sender: TObject);
    procedure SpeedButtonChangeSortClick(Sender: TObject);
    procedure SpeedButtonOpenTablesClick(Sender: TObject);
    procedure SpeedButtonSCLScriptExecuteClick(Sender: TObject);
    procedure SpeedButtonSpeedButtonQuerySaveClick(Sender: TObject);
    procedure SpeedButtonSQLScrptLoadClick(Sender: TObject);
    procedure SpeedButtonSQLScrptSaveClick(Sender: TObject);
    procedure SpeedButtonTakeFromQueriesClick(Sender: TObject);
    procedure SpeedButtonTurbobirdClick(Sender: TObject);
    procedure Splitter1Paint(Sender: TObject);
    { OWN Routine }
    procedure DataBaseCreate;
    procedure DataIniRead;
    procedure DataIniWrite;
    procedure FbclientFinden;
    procedure FbClientIniWrite;
    procedure TabSheetMainChanging(Sender: TObject; var AllowChange: Boolean);
    procedure ZConnectionInit;
    procedure ExportData(var qry: TZQuery);

  private

  public



{ **************************************************************************** }
{ * GLOBAL VARIABLES                                                         * }
{ **************************************************************************** }


{ My own global Variables                                        }
{ Without this global Variables you must always                  }
{ specify a long List of parameters                              }
{ for a tutorial not practicable, maybe also not in real program }
{ This variable are only needed in the main unit                 }
var
    DatabaseLibrary,
    DatabaseName,
    DatabaseUser,
    DatabasePassword,
    DatabaseCharset,
    DatabaseFileext,
    DatabaseProtocol,
    DatabasePath,
    ToolPath,
    Language: string;

  end;

var
  FormMainTutor2: TFormMainTutor2;

implementation

{$R *.lfm}

{ TFormMainTutor2 }


{ **************************************************************************** }
{ * FORM STARTEN und BEENDEN                                                 * }
{ *                                                                          * }
{ **************************************************************************** }

{ **************************************************************************** }
{ * FORM CREATE                                                              * }
{ **************************************************************************** }
procedure TFormMainTutor2.FormCreate(Sender: TObject);

begin
  // Beim Start prüfen und ordentliche Maße für die Darstellung der Form nehmen
  // FormMainTutor2.Caption:= '';  // Hier könnte der Titel des Fensters geändert werden
  // Check at startup and take proper measurements for the appearance of the shape
  // FormMainTutor2.Caption: = ''; // Here the title of the window could be changed
  If FormMainTutor2.Height<740 then FormMainTutor2.Height:=740;
  If FormMainTutor2.Width<1100 then FormMainTutor2.Width:= 1100;
  FormMainTutor2.Top:= 100;
  FormMainTutor2.Left:= 100;
  // TabSheetMain.Color:= clMoneyGreen;

end;


{ **************************************************************************** }
{ * FORM ACTIVATE                                                            * }
{ **************************************************************************** }
procedure TFormMainTutor2.FormActivate(Sender: TObject);

var s, s1, s2: string;
      section: string;

begin

  { Die eingestellte verwendete Sprache für die Hilfe                   }
  { The taken Language                                                  }
  section:= FormMainTutor2.Name;
  s2:= 'LANGUAGE';
  Language:= GlobIniRead(section,s2);
  if Language='english' then begin
    SpeedButtonLanguage.Down:= true;
    LabelLanguage.Caption:= 'You have choosed the english language';
  end
  else begin
    SpeedButtonLanguage.Down:= false;
    LabelLanguage.Caption:= 'Die deutsche Sprache ist eingestellt';
  end;
  if Language<>'' then SpeedButtonLanguage.Caption:= Language;

  { Prüfen, ob schon ein INI Eintrag exisitiert, diesen dann übernehmen }
  { Sektion ist Bezeichnung der Form                                    }
  { Check if an INI entry already exists, then apply it                 }
  { Section is name of the form                                         }
  s2:= 'DBLIBRARY';
  s:= GlobIniRead(section,s2);

  { ist ein Eintrag  gefunden worden? }
  { has an entry been found?          }
  If Length(s)>0 then begin
      ComboBoxFbclient.Text:= s;
      ComboBoxFbclient.Items.Add(s);
      ComboBoxFbclient.ItemIndex:= 0;
  end
  else begin
    { sonst beim ersten Mal das Systemlaufwerk durchsuchen }
    { otherwise search the system drive the first time     }
    FbclientFinden;
  end;

  { Ist fbclient.dll im gleichen Verzeichnis wie die Datenbank installiert? }
  { Is fbclient.dll installed in the same directory as the database?        }
  s1:= ExtractFilePath(Application.ExeName);
  s1:= s1+ 'fbclient.dll';

  { Pfad enthält fbclient und der Eintrag in der INI Datei ist identisch? }
  { dann ist eine Embedded Firebird installiert                           }
  { Path contains fbclient and the entry in the INI file is identical?    }
  { then an embedded Firebird is installed                                }
  if s=s1 then begin
    LabelEmbedded.Caption:= ' FIREBIRD EMBEDDED? ';
    LabelEmbedded.font.color  := clGreen;
    LabelEmbedded.color  := clYellow;
  end;

  { Den ermittelten Pfad zu fbclient.dll übernehmen }
  {Adopt the identified path to fbclient.dll}
  DatabaseLibrary:= s;

  { Einlesen der gespeicherten Daten wenn das Fenster aktiviert wird }
  { Reading the stored data when the window is activated             }
  DataIniRead;

  // Anzeige der eingestellten Datenbank
  // Display of the set database
  LabelShowDatabase.Caption:= '  '+ DatabaseName;

  // Datenbankverbindung am Programmende beenden
  // end database connection at the end of the program
  DataDMTutor2.ZConnection1.Disconnect;

  // PanelTop soll nur beim Anzeigen des Startfensters ausgeblendet sein
  // PanelTop should only be hidden when the startup window is displayed
  if TabSheetMain.PageIndex<>0 then PanelTop.Visible:= True;

end;


{ **************************************************************************** }
{ * TFormMainTutor2.FormResize                                               * }
{ **************************************************************************** }
procedure TFormMainTutor2.FormResize(Sender: TObject);

var i: integer;

begin
  i:= FormMainTutor2.Width;
  // Label für Testausgaben während Programmierung unten
  // label for test outputs while programming below
  LabelTest.Width:= i - 310;
  // Label, welches die bearbeitete Datenbank anzeigt
  // label indicating the edited database
  LabelShowDatabase.Width:= i - 300;
  // der Titel welcher die geladene SQL Datei anzeigt
  // the title which shows the loaded SQL file
  LabelSQLCommandsFile.Width:= i-50;
end;


{ **************************************************************************** }
{ * Splitter1Paint                                                           * }
{ **************************************************************************** }
procedure TFormMainTutor2.Splitter1Paint(Sender: TObject);

var i: integer;

begin
  // Nur zur Demonstrationm kann auch bei den Properties eingegeben werden
  // Only for demonstrations can also be entered in the properties
  i:= Splitter1.Left+30;
  if i<480 then i:= 510;
  DBNavigator2.Left:= i;
end;


{ **************************************************************************** }
{ * PanelDataManipulationLeftResize                                          * }
{ **************************************************************************** }
procedure TFormMainTutor2.PanelDataManipulationLeftResize(Sender: TObject);

begin
  // sorgt dafür dass der DBGrid1 nicht zu schmal wird, zur Demonstration
  // Kann auch im Splitter ...
  // makes sure DBGrid1 does not get too narrow for demonstration
  // Can also in the splitter ...
  if PanelDataManipulationLeft.Width<200
    then PanelDataManipulationLeft.Width:= 200;
end;


{ **************************************************************************** }
{ * ComboBox...Press Key:= #0 sorgt dafür, dass keine Eingabe möglich ist    * }
{ **************************************************************************** }
procedure TFormMainTutor2.ComboBoxFbclientKeyPress(Sender: TObject; var Key: char);

begin
  // Verhindert, dass bei ComboboxFbclient etwas eingegeben werden kann
  // Prevents that something can be entered at ComboboxFbclient
  Key:= #0;
end;


{ **************************************************************************** }
{ * Das Programm wird beendet, die Form geschlossen                          * }
{ **************************************************************************** }
procedure TFormMainTutor2.FormClose(Sender: TObject; var CloseAction: TCloseAction);

begin
  // die Einstellungen in INI Datei schreiben
  // write the settings to INI file
  DataIniWrite;
  // Datenbankverbindung auf alle Fälle kappen
  // cap database connection by all means
  ZConnectionInit;
end;


{ **************************************************************************** }
{ * PROZEDUREN UND FUMKTIONEN EIGEN:                                         * }
{ * DataBaseCreate DataIniRead FbclientFinden                                * }
{ * FbClientIniWrite DataIniWrite ZConnectionInit                            * }
{ * sowie FileSearchFbclientFileFind                                         * }
{ **************************************************************************** }


{ **************************************************************************** }
{ * PROCEDURE Database create                                                * }
{ **************************************************************************** }
procedure TFormMainTutor2.DataBaseCreate;

begin

  { Datenbank wird erstellt  }
  { Database will be created }
  DataDMTutor2.ZConnection1.Connected:= False;

  { ZConnection die eingestellten Werte zuweisen }
  { ZConnection assign the set values            }
  ZConnectionInit;

  DataDMTutor2.ZConnection1.Properties.Add
        ('CreateNewDatabase=CREATE DATABASE ' +
        QuotedStr (DatabaseName) +
        ' USER ' + QuotedStr(DatabaseUser) +
        ' PASSWORD ' + QuotedStr(DatabasePassword) +
        ' PAGE_SIZE 8192 DEFAULT CHARACTER SET UTF8');

  { Verbinden mit der Datenbank erzeugt diese }
  { Connecting to the dahttps://sirmark.de/computer/mysql/mysql-trigger-einrichten-beispiele-zur-verwendung-von-triggern-1207.htmltabase generates this }
  DataDMTutor2.ZConnection1.Connect;
  { und wieder schließen - close }
  DataDMTutor2.ZConnection1.Disconnect;
  { Und Properties löschen, da ZConnection bei jedem Öffnen eine DB anlegt }
  DataDMTutor2.ZConnection1.Properties.Clear;

end;


{ **************************************************************************** }
{ *  DataIniRead                                                             * }
{ **************************************************************************** }
procedure TFormMainTutor2.DataIniRead;

var section, key: string;
               s: string;
               i: integer;
begin

  // weiß nicht, ob der Delimeter gebraucht wird
  // does not know if the delimeter is needed
  s:= DataDMTutor2.ZSQLProcessor1.Delimiter;
  EditSemikolon.Text:= s;

  { ; Delimiter soll vorerst nur angezeigt werden             }
  {; Delimiter should be displayed for now only               }
  // CHDelimiter.ReadOnly:= true;

  { Zuletzt angelegte Datenbank wieder anzeigen, von INI lesen }
  { Show last created database, read from INI                  }

  { Sektion ist Bezeichnung der Form }
  { Section is name of the form      }
  section:= FormMainTutor2.Name;

  // Wo sich fbclient.dll befindet
  // Where fbclient.dll is located
  key:= 'DBLIBRARY';
  ComboBoxFbclient.Text:= GlobIniRead(section, key);
  DatabaseLibrary:= ComboBoxFbclient.Text;

  // Datenbankpfad
  // Database Path
  key:= 'LOCATION';
  DEDBSetpath.Text:= GlobIniRead(section, key);
  DatabasePath:= DEDBSetpath.Text;

  // Datenbankbezeichnung
  // Database Name
  key:= 'DATABASE';
  EdtDatabaseName.Text:= GlobIniRead(section, key);

  // Datenbank Rile Extension
  // Database Rile Extension
  key:= 'FILEEXT';
  EdtDatabaseFileExt.Text:= GlobIniRead(section, key);
  DatabaseFileExt:= EdtDatabaseFileExt.Text;

  // Datenbank, wo zuletzt zugegriffen wurde
  // Database where last accessed
  s:= DEDBSetpath.Text;
  i:= Length(s);
  if i>0 then
    if s[i] = '\' then DatabaseName:= s+ EdtDatabaseName.Text+ DatabaseFileExt
                  else DatabaseName:= s+ '\'+ EdtDatabaseName.Text+ DatabaseFileExt;

  // User
  key:= 'USER';
  EdtDBUsername.Text:= GlobIniRead(section, key);
  DatabaseUser:= EdtDBUsername.Text;

  // Passwod
  key:= 'PASSWORT';
  EdtDBPassword.Text:= GlobIniRead(section, key);
  DatabasePassword:= EdtDBPassword.Text;

  // Charset
  key:= 'ZEICHENSATZ';
  CHDBCharset.Text:= GlobIniRead(section, key);
  DatabaseCharset:= CHDBCharset.Text;

  // PROTOCOL - VS. WHICH DATASERVER
  key:= 'PROTOCOL';
  CHDBCharsetDatabaseControl.Text:= GlobIniRead(section, key);
  DatabaseProtocol:= CHDBCharsetDatabaseControl.Text;

  // PROTOCOLLING ACTIVITIES
  key:= 'PROTOCOLLING';
  s:= GlobIniRead(section, key);
  if s = 'True' then begin
    // SETTING PROPERTIES IN PROTOCOLLING
    CheckBoxMonitor.Checked:= true;
  end
  else begin
    // SETTING PROPERTIES IN PROTOCOLLING
    CheckBoxMonitor.Checked:= false;
  end;
  // SETTING PROPERTIES IN PROTOCOLLING
  CheckBoxMonitorChange(CheckBoxMonitor);

  // Pfad und Programm des Datenbanktools
  // Path and program of the database tool
  key:= 'TOOLPATH';
  EdtToolPath.Text:= GlobIniRead(section, key);
  ToolPath:= EdtToolPath.Text;

  { Soferne noch keine INI-Datei existiert diese Werte initialisieren          }
  { If no INI file exists yet, initialize these values                         }

  // USER
  if DatabaseUser='' then begin
     DatabaseUser:= 'SYSDBA';
     EdtDBUsername.Text:= DatabaseUser;
  end;

  // PASSWORD
  If DatabasePassword='' then begin
    DatabasePassword:= 'masteerkey';
    EdtDBPassword.Text:= DatabasePassword;
  end;

  // FILEEXTENSION FROM DATABASE
  if DatabaseFileext='' then begin
    DatabaseFileext:= '.FDB';
    EdtDatabaseFileExt.Text:= DatabaseFileExt;
  end;

  // PROTOCOL - VS. WHICH DATASERVER
  if DatabaseProtocol='' then begin
    DatabaseProtocol:= 'firebird';
    CHDBCharsetDatabaseControl.Text:= DatabaseProtocol;
  end;

  // CHARSET
  if DatabaseCharset='' then begin
    DatabaseCharset:= 'UTF8';
    CHDBCharset.Text:= DatabaseCharset;
  end;

  // PATH FOR DATABASE SAME AS EXE
  if  DatabasePath='' then begin
    DEDBSetpath.Text:= ExtractFilePath(Application.ExeName);
    DatabasePath:= DEDBSetpath.Text;
  end;

  // The first founded Library - search first EXE Path, then program paths
  if DatabaseLibrary='' then begin
    ComboBoxFbclient.Text:= ComboBoxFbclient.Items[0];
    DatabaseLibrary:= ComboBoxFbclient.Text;
  end;

  { Alle Werte an die ZConnection übergeben                     }
  { Pass all values to the ZConnection                          }
  ZConnectionInit;

end;


{ **************************************************************************** }
{ *  DataIniWrite                                                            * }
{ **************************************************************************** }
procedure TFormMainTutor2.DataIniWrite;

var section, key: string;
               s: string;
               i: integer;

begin

  { Sektion der INI-Datei ist Bezeichnung der Form  }
  { Section of the INI file is the name of the form }
  section:= FormMainTutor2.Name;

  // Wo sich fbclient.dll befindet
  // Where fbclient.dll is located
  key:= 'DBLIBRARY';
  DatabaseLibrary:= ComboBoxFbclient.Text;
  GlobIniWrite(section, key, DatabaseLibrary);

  // Pfad zur Datenbank
  // Path to database
  key:= 'LOCATION';
  s:= DEDBSetpath.Text;
  GlobIniWrite(section, key, s);

  // Database
  key:= 'DATABASE';
  s:= EdtDatabaseName.Text;
  GlobIniWrite(section, key, s);

  // Datenbank File Extension
  key:= 'FILEEXT';
  s:= EdtDatabaseFileExt.Text;
  GlobIniWrite(section, key, s);

  // Kompletter Datenbankpfad zur Firebird Datenbank
  // Complete database path to the Firebird database
  s:= DEDBSetpath.Text;
  i:= Length(s);
  if s[i] = '\' then DatabaseName:= s+ EdtDatabaseName.Text+ DatabaseFileExt
                else DatabaseName:= s+ '\'+ EdtDatabaseName.Text+ DatabaseFileExt;

  // Anzeige der eingestellten Datenbank
  // Display of the set database
  LabelShowDatabase.Caption:= '  '+ DatabaseName;

  // Datenbankverbindung am Programmende beenden
  // Discomnnect ZConnection1
  DataDMTutor2.ZConnection1.Disconnect;

  // User
  key:= 'USER';
  DatabaseUser:= EdtDBUsername.Text;
  GlobIniWrite(section, key, DatabaseUser);

  // Passwort
  key:= 'PASSWORT';
  DatabasePassword:= EdtDBPassword.Text;
  GlobIniWrite(section, key, DatabasePassword);

   // Zeichensatz - Charset
  key:= 'ZEICHENSATZ';
  DatabaseCharset:= CHDBCharset.Text;
  GlobIniWrite(section, key, DatabaseCharset);


  // PROTOCOL - VS. WHICH DATASERVER
  key:= 'PROTOCOL';
  DatabaseProtocol:= CHDBCharsetDatabaseControl.Text;
  GlobIniWrite(section, key, DatabaseProtocol);

  // PROTOCOLLING ACTIVITIES
  key:= 'PROTOCOLLING';
  if CheckBoxMonitor.Checked= true then s:= 'True'
                                   else s:= 'False';
  GlobIniWrite(section, key, s);
  // SETTING PROPERTIES IN PROTOCOLLING
  CheckBoxMonitorChange(CheckBoxMonitor);

  // DatenbankPath to Turbobird
  key:= 'TOOLPATH';
  s:= EdtToolPath.Text;
  GlobIniWrite(section, key, s);
  ToolPath:= s;

  { Und der Datenbankverbindung die eingelesenen INI Parameter übergeben }
  { And pass the read INI parameters to the database connection          }
  ZConnectionInit;

end;


{ **************************************************************************** }
{ * Immer wenn ein Eintrag gefunden wurde übernehmen                         * }
{ **************************************************************************** }
procedure TFormMainTutor2.FileSearchFbclientFileFind(fullpath: string; info: TSearchRec);

begin
  { den gefundenen Eintrag übernehmen }
  { take the found entry              }
  ComboBoxFbclient.Items.AddStrings(FileSearchFbclient.FilesFound);
  { Liste löschen, damit keine Doppeleinträge entstehen }
  { Delete list to avoid double entries                 }
  FileSearchFbclient.FilesFound.Clear;
end;


{ **************************************************************************** }
{ * Procedure fbclient  finden                                               * }
{ **************************************************************************** }
procedure TFormMainTutor2.FbclientFinden;

var FBCName: string;
          s: string;

begin

  { Suchen Abbrechen sichtbar machen, falls Suche zu lange dauert }
  { Search Cancel to make visible if search takes too long        }
  ButtonFbclientAbbrechen.Top:= ButtonFbclientUebernehmen.Top;
  ButtonFbclientAbbrechen.Left:= ButtonFbclientUebernehmen.Left;
  ButtonFbclientUebernehmen.Visible:= false;
  ButtonFbclientAbbrechen.Visible:= true;

  { Ist fbclient.dll im gleichen Verzeichnis wie die Datenbank installiert? }
  { Is fbclient.dll installed in the same directory as the database?        }
  FBCName:= ExtractFilePath(Application.ExeName);
  FBCName:= FBCName+ 'fbclient.dll';

  { dann den Pfad zur Anzeige wo sich eine fbclient.dll befindet hinzufügen }
  { then add the path to the ad where a fbclient.dll is located             }
  if FileExists(FBCName) then begin
    ComboBoxFbclient.Items.Clear;
    ComboBoxFbclient.Items.Add(FBCName);
    ComboBoxFbclient.ItemIndex:= 0;
    LabelEmbedded.Caption:= ' FIREBIRD EMBEDDED? ';
    LabelEmbedded.font.color  := clGreen;
    LabelEmbedded.color  := clYellow;
  end
  else begin
    LabelEmbedded.font.color  := clRed;
    LabelEmbedded.color  := clYellow;
    LabelEmbedded.Caption:= ' FIREBIRD SERVER ';
  end;

  { SpeedButtonFbclientSuche anzeigen }
  { Show SpeedButtonFbClientSearch    }
  ButtonFbclient.Caption:= ' Suche...';

  { Die Suchliste und die Combobox leeren/initialisieren }
  { Empty / initialize the search list and combo box     }
  FileSearchFbclient.FilesFound.Clear;

  { Unterverzeichnisse der Applikation nach fbclient.dll durchsuchen }
  { Search subdirectories of the application for fbclient.dll }
  s:= ExtractFilePath(Application.ExeName);
  FileSearchFbclient.SearchFile:= s+'\;fbclient.dll';
  FileSearchFbclient.Start;
  { den letzten gefundenen Eintrag übernehmen }
  { take the last found entry                 }

  ComboBoxFbclient.Items.AddStrings(FileSearchFbclient.FilesFound);


  { im Windows Programmverzeichnis 64 Bit suchen   }
  { search 64-bit in the Windows program directory  }
  FileSearchFbclient.SearchFile:= 'c:\Program Files\;fbclient.dll';
  FileSearchFbclient.Start;
  { den letzten gefundenen Eintrag übernehmen }
  { take the last found entry                 }
  ComboBoxFbclient.Items.AddStrings(FileSearchFbclient.FilesFound);

  { im Windows Programmverzeichnis 32 Bit suchen  }
  { search 32-bit in the Windows program directory}
  FileSearchFbclient.SearchFile:= 'c:\Program Files (x86)\;fbclient.dll';
  FileSearchFbclient  { take the last found entry                 }
.Start;

  { den letzten gefundenen Eintrag übernehmen }
  { take the last found entry                 }
  ComboBoxFbclient.Items.AddStrings(FileSearchFbclient.FilesFound);

  { bei der Combobox auf den ersten Eintrag setzen }
  { put the first entry in the combobox            }
  ComboBoxFbclient.ItemIndex:= 0;

  { Beim Button anzeigen, dass die SpeedButtonFbclientSuche beendet ist }
  { Show on button that the SpeedButtonFbClientSearch is finished       }
  ButtonFbclient.Caption:= ' Neue Suche? ';

  { Suche Abbrechen Button wieder unsichtbar machen }
  { Search Cancel button make invisible again       }
  ButtonFbclientAbbrechen.Visible:= false;
  ButtonFbclientUebernehmen.Visible:= true;

end;


{ **************************************************************************** }
{ * Fbclient Pfad in INI Datei schreiben                                     * }
{ **************************************************************************** }
procedure TFormMainTutor2.FbClientIniWrite;

var  s, s1, s2: string;
             c: char;

begin

  { Pfad zu Fbclient wurde hier ermittelt / voreingstellt }
  { Path to Fbclient has been determined / preset here    }
  s:= ComboBoxFbclient.Text;

  { den Pfad in die INI Datei schreiben }
  { write the path to the INI file      }
  s1:= FormMainTutor2.Name;
  s2:= 'DBLIBRARY';
  GlobIniWrite(s1,s2,s);

  { für eine bessere Darstellung des Textes, kann in ShowMessage nicht verw. w,}
  { for a better representation of the text, can not be used in ShowMessage.  w}
  c:= #13;
  { eine Meldung ausgeben, damit der Anwender informiert ist }
  { give a message to let the user know                      }
  ShowMessage('Der Pfad für fbclient.dll wurde auf '+ c + s+ c+ ' eingestellt!');

end;


{ **************************************************************************** }
{ * TabSheetQueriesChanging                                                  * }
{ **************************************************************************** }
procedure TFormMainTutor2.TabSheetMainChanging(Sender: TObject;
  var AllowChange: Boolean);

begin
  // Wenn Settings verlassen wird eventuelle Änderungen in die INI Datei schr.
  // Sowie die globalen Variablen für Datenbankzugriff initialsieren
  // If settings are left, any changes to the INI file will be deleted.
  // Initialize the global variables for database access
  if (Sender as TPageControl).PageIndex = 7 then begin
    DataIniWrite;
  end;

  // Geht es nur darum, nach dem ersten Start den Datenbankpfad anzuzeigen
  if (Sender as TPageControl).PageIndex = 0 then begin
    PanelTop.Visible:= True;
  end;

end;



{ **************************************************************************** }
{ *  ZConnectionInit                                                         * }
{ **************************************************************************** }
procedure TFormMainTutor2.ZConnectionInit;

begin

  { Alle Werte an die ZConnection übergeben                     }
  { Pass all values to the ZConnection                          }
  with DataDMTutor2.ZConnection1 do begin

     {  Properties sicherheitshalber leeren                       }
     { Properties empty for safety                                }
     Properties.Clear;

     { Welches Datenbankprotokoll verwendet wird, hier firebird   }
     { Which database protocol is used, here firebird             }
     Protocol := DatabaseProtocol;

     { Which Database }
     Database:= DatabaseName;

     { User und Passwort übernehmen }
     { Take user and password       }
     User := DatabaseUser;
     Password := DatabasePassword;

     { der Charakterset der Datenbank, vorzugsweise UTF8            }
     { The character set of the database, preferably UTF8           }
     ClientCodepage:= DatabaseCharset;

     { Speicherort von fbclient.dll                                 }
     { Location of fbclient.dll                                     }
     LibraryLocation:= DatabaseLibrary;
     //'C:\Program Files\Firebird\Firebird_4_0\fbclient.dll';

  end;

end;


{ **************************************************************************** }
{ * PROZEDUREN UND FUMKTIONEN ZUM ZICHNEN DES FORMULARS. KEY ABFRAGEN:       * }
{ * ComboBoxFbclientKeyPress                                                 * }
{ * Splitter1Paint                                                           * }
{ *                                                                          * }
{ **************************************************************************** }



{ **************************************************************************** }
{ * SpeedButtonCloseEditQueryClick                                           * }
{ **************************************************************************** }
procedure TFormMainTutor2.SpeedButtonCloseEditQueryClick(Sender: TObject);

begin
  // ZQueryUpdate schließen
  DataDMTutor2.ZQueryUpdate.Close;
end;

{ **************************************************************************** }
{ * SpeedButtonCreateEmptyDBClick                                            * }
{ **************************************************************************** }
procedure TFormMainTutor2.SpeedButtonCreateEmptyDBClick(Sender: TObject);

var c: char;
    s: string;

begin

  // Zeilenvorschub für MessageDlg
  // line feed for MessageDlg
  c:= #13;  // reicht

  //  Shold existing Databas be overwritten?
  if FileExists(DatabaseName) then begin
    s:= 'Do you wish overwrite existing Database:'+ c+ DatabaseName+'?'+ c;
    if MessageDlg('Create Database', s, mtConfirmation, [mbYes, mbNo], 0) = mrNo then
    begin
      // the Database should not maked new
      ShowMessage('Database create aborted!');
      Exit;
    end;
  end;

  // Alte Datenbank löschen
  // Delete old database
  DataDMTutor2.ZConnection1.Disconnect;
  DeleteFile(DatabaseName);

  // Create Database only
  DataBaseCreate;

  { Datenbank wurde angelegt                  }
  { Message Database was created              }
  if fileexists(DatabaseName) = true then begin
    s:= 'Database'+ c+ DatabaseName+ c+ 'is created!';
    ShowMessage(s);
  end;

end;

{ **************************************************************************** }
{ * SpeedButtonEditQueryToggleGridClick                                      * }
{ **************************************************************************** }
procedure TFormMainTutor2.SpeedButtonEditQueryToggleGridClick(Sender: TObject);
begin
  if DBGridEditQuery.Visible then DBGridEditQuery.Visible:= false
                             else DBGridEditQuery.Visible:= true;
  DBNavigator4.Visible:= DBGridEditQuery.Visible;
end;

{ **************************************************************************** }
{ * SpeedButtonExample1Click 5 mal - umständlich programmiert                * }
{ **************************************************************************** }
procedure TFormMainTutor2.SpeedButtonExample01Click(Sender: TObject);

begin
  if (Sender as TSpeedButton).Tag = 1 then begin
    SynEditQuery.Lines:= MemoEx01.Lines;
    LabelQueryFile.Caption:= '   Example 1';
    SpeedButtonExecuteQueryClick(nil);
  end
  else begin
    with DataDMTutor2.ZQueryQQSearch do begin
      Close;
      SQL.Clear;
      SQL:= MemoEx01.Lines;
      SynEditQueryQuery.Lines:= MemoEx01.Lines;
      Open;
    end;
    DataDMTutor2.ZQueryQQAdress.Open;
    DataDMTutor2.ZQueryQQContact.Open;
  end;

end;

{ **************************************************************************** }
procedure TFormMainTutor2.SpeedButtonExample02Click(Sender: TObject);

begin

  if (Sender as TSpeedButton).Tag = 1 then begin
    SynEditQuery.Lines:= MemoEx02.Lines;
    LabelQueryFile.Caption:= '   Example 2';
    SpeedButtonExecuteQueryClick(nil);
  end
  else begin
    with DataDMTutor2.ZQueryQQSearch do begin
      Close;
      SQL.Clear;
      SQL:= MemoEx02.Lines;
      SynEditQueryQuery.Lines:= MemoEx02.Lines;
      Open;
    end;
    DataDMTutor2.ZQueryQQAdress.Open;
    DataDMTutor2.ZQueryQQContact.Open;
  end;

end;

{ **************************************************************************** }
procedure TFormMainTutor2.SpeedButtonExample03Click(Sender: TObject);
begin
  if (Sender as TSpeedButton).Tag = 1 then begin
    SynEditQuery.Lines:= MemoEx03.Lines;
    LabelQueryFile.Caption:= '   Example 3';
    SpeedButtonExecuteQueryClick(nil);
  end
  else begin
    with DataDMTutor2.ZQueryQQSearch do begin
      Close;
      SQL.Clear;
      SQL:= MemoEx03.Lines;
      SynEditQueryQuery.Lines:= MemoEx03.Lines;
      Open;
    end;
    DataDMTutor2.ZQueryQQAdress.Open;
    DataDMTutor2.ZQueryQQContact.Open;
  end;
end;

{ **************************************************************************** }
procedure TFormMainTutor2.SpeedButtonExample04Click(Sender: TObject);
begin
  if (Sender as TSpeedButton).Tag = 1 then begin
    SynEditQuery.Lines:= MemoEx04.Lines;
    LabelQueryFile.Caption:= '   Example 4';
    SpeedButtonExecuteQueryClick(nil);
  end
  else begin
    with DataDMTutor2.ZQueryQQSearch do begin
      Close;
      SQL.Clear;
      SQL:= MemoEx04.Lines;
      SynEditQueryQuery.Lines:= MemoEx04.Lines;
      Open;
    end;
    DataDMTutor2.ZQueryQQAdress.Open;
    DataDMTutor2.ZQueryQQContact.Open;
  end;
end;

{ **************************************************************************** }
procedure TFormMainTutor2.SpeedButtonExample05Click(Sender: TObject);
begin
  if (Sender as TSpeedButton).Tag = 1 then begin
    SynEditQuery.Lines:= MemoEx05.Lines;
    LabelQueryFile.Caption:= '   Example 5';
    SpeedButtonExecuteQueryClick(nil);
  end
  else begin
    with DataDMTutor2.ZQueryQQSearch do begin
      Close;
      SQL.Clear;
      SQL:= MemoEx05.Lines;
      SynEditQueryQuery.Lines:= MemoEx05.Lines;
      Open;
    end;
    DataDMTutor2.ZQueryQQAdress.Open;
    DataDMTutor2.ZQueryQQContact.Open;
  end;
end;


{ **************************************************************************** }
{ * SpeedButtonExecuteQueryClick                                             * }
{ **************************************************************************** }
procedure TFormMainTutor2.SpeedButtonExecuteQueryClick(Sender: TObject);

var i: integer;

begin
  { Weist ZQueryQuery den SQL Befehl zu und öffnet die Datenmenge }
  { Assigns the SQL command to ZQueryQuery and opens the dataset  }
  with DataDMTutor2 do begin
    ZConnection1.Disconnect;
    ZConnection1.Connect;
    ZQueryQuery.SQL:= SynEditQuery.Lines;
    ZQueryQuery.Open;

    { die Spaltenbreite kürzen }
    { shorten the column width }
    For i:= 0 to (DBGridQuery.Columns.Count)-1 do begin
      DBGridQuery.Columns[i].Width:= 150;
    end;

  end;
end;



{ **************************************************************************** }
{ * BUTTON Clicks                                                            * }
{ *                                                                          * }
{ *                                                                          * }
{ **************************************************************************** }


{ **************************************************************************** }
{ * TFormMainTutor2.SpeedButtonClearLabelClick                               * }
{ **************************************************************************** }
procedure TFormMainTutor2.SpeedButtonClearLabelClick(Sender: TObject);
begin
  LabelTest.Caption:= '';
end;

{ **************************************************************************** }
{ * SpeedButtonOpenEditQueryClick                                            * }
{ **************************************************************************** }
procedure TFormMainTutor2.SpeedButtonOpenEditQueryClick(Sender: TObject);

var i: integer;
    s: string;
begin
  { Alle Werte an die ZConnection übergeben                     }
  { Pass all values to the ZConnection                          }
  with DataDMTutor2 do begin

    // Den Focus auf das erste Grid/Feld setzen
    // set the focus to the first grid / field
    if DBGridEditQuery.Visible = true then DBGridEditQuery.SetFocus
                                      else DBComboBox1.SetFocus;

    // ZConnection schließen und dann mit den aktuellen Werten Öffnen
    // Close ZConnection and then open with the current values
    ZConnection1.Disconnect;
    ZConnectionInit;
    ZConnection1.Connect;

    { Den SQL Befehl zur Veranschaulichung einmal hier zusammensetzen }
    { Assemble the SQL command for illustration here                  }
    with DataDMTutor2.ZQueryUpdate do begin

      SQL.Clear;
      SQL.Add('SELECT');
      SQL.Add('ADRESS.SURNAME, ADRESS.NAME1, ADRESS.CITY,');
      SQL.Add('CONTACT.CONTACTID, CONTACT.TITLE, CONTACT.CONTENT1, CONTACT.CONTENT2');
      SQL.Add('FROM CONTACT');
      SQL.Add('INNER JOIN ADRESS ON CONTACT.ADRESSID=ADRESS.ADRESSID');
      SQL.Add('WHERE ');
      SQL.Add('ADRESS.NAME1 = '+ QuotedStr('Franz'));
      // SQL.Add('AND CONTACT.TITLE = '+ QuotedStr('Handy'));
      SQL.Add('ORDER BY ADRESS.SURNAME;');

      // Open ZQuery1
      Open;

    end;

    { Die Spalten des DBGrids durchlaufen und für Anzeige vorbereiten }
    { Go through the columns of the DBGrid and prepare for display    }
    with DBGridEditQuery do begin
      { Alle Felder durchlaufen und die nötigen Einstellungen treffen }
      { Go through all fields and make the necessary settings         }
      for i:=0 to (Columns.Count)-1 do begin

        { Voreinstellung keine Änderungsmöglichkeit der Felder }
        { Search the columns to be processed via the field     }
        DBGridEditQuery.Columns[i].Width:= 120;
        Columns[i].ReadOnly:= true;

        { Über die Feld die zu berbeitenden Spalten suchen }
        s:= Columns[i].FieldName;

        { Der Titel kann geändert werden }
        { The title can be changed       }
        if s = 'TITLE' then begin
          { Das Ändern von Daten in dieser Spalte erlauben }
          { Allow changing data in this column             }
           Columns[i].ReadOnly:= false;
           { Anzeige der möglichen Kontaktmöglichkeiten }
           { Display of possible contact options        }
           Columns[i].PickList.Clear;
           Columns[i].PickList.Add('Phone');
           Columns[i].PickList.Add('Handy');
           Columns[i].PickList.Add('Email');
           Columns[i].PickList.Add('Skype');
        end;

        { CONTACT1 und CONTACT2 können geändert werden }
        { CONTACT1 and CONTACT2 can be changed         }
        if (s = 'CONTENT1') or (s = 'CONTENT2') then begin
          { Das Ändern von Daten in dieser Spalte erlauben }
          { Allow changing data in this column             }
          Columns[i].ReadOnly:= false;
          Columns[i].Width:= 200;
        end;
      end;
    end;
  end;

end;

procedure TFormMainTutor2.SpeedButtonLanguageClick(Sender: TObject);

var section, key: string;

begin
  if (Sender as TSpeedButton).down then begin
    (Sender as TSpeedButton).Caption:= 'english';
    LabelLanguage.Caption:= 'You have choosed the english language';
  end
  else begin
    (Sender as TSpeedButton).Caption:= 'deutsch';
    LabelLanguage.Caption:= 'Die deutsche Sprache ist eingestellt';
  end;
  Language:= (Sender as TSpeedButton).Caption;

  section:= FormMainTutor2.Name;
  key:= 'LANGUAGE';
  GlobIniWrite(section, key, Language);


end;

{ **************************************************************************** }
{ * SpeedButtonQQOpenClick                                                   * }
{ **************************************************************************** }
procedure TFormMainTutor2.SpeedButtonOverviewSettingsClick(Sender: TObject);
begin
  { Zeigt das Window mit den ZConnection Einstellungen }
  { Shows the window with the ZConnection properties   }
  DataIniWrite;
  FormTZConnection.ShowModal;
end;


{ **************************************************************************** }
{ * SpeedButtonQQOpenClick  Close the ZQueries used in QueryQuery            * }
{ **************************************************************************** }
procedure TFormMainTutor2.SpeedButtonQQCloseClick(Sender: TObject);
begin
  with DataDMTutor2 do begin
    ZQueryQQSearch.Close;
    ZQueryQQAdress.Close;
    ZQueryQQContact.Close;
    ZQueryQQAllCointacts.Close;
  end;
end;

{ **************************************************************************** }
{ * SpeedButtonQQOpenClick  Takes SQL from SynEditQueryQuery and Opens QQ    * }
{ **************************************************************************** }
procedure TFormMainTutor2.SpeedButtonQQExQueryClick(Sender: TObject);
begin
  with DataDMTutor2.ZQueryQQSearch do begin
    Close;
    SQL.Clear;
    SQL:= SynEditQueryQuery.Lines;
    Open;
  end;

  with DataDMTutor2 do begin
    ZQueryQQAdress.Open;
    ZQueryQQContact.Open;
    ZQueryQQAllCointacts.Open;
  end;

end;

{ **************************************************************************** }
{ * SpeedButtonQQOpenClick  Opens the ZQueries used in QueryQuery            * }
{ **************************************************************************** }
procedure TFormMainTutor2.SpeedButtonQQOpenClick(Sender: TObject);
begin
  with DataDMTutor2 do begin
    ZQueryQQSearch.Open;
    ZQueryQQAdress.Open;
    ZQueryQQContact.Open;
    ZQueryQQAllCointacts.Open;
  end;
end;


{ **************************************************************************** }
{ * ButtonEditDBGridCounterClick                                             * }
{ * Die ZÄHLER / INEXES anzeigen / nicht anzeigen                            * }
{ **************************************************************************** }
procedure TFormMainTutor2.ButtonEditDBGridCounterClick(Sender: TObject);

var i: integer;

begin

  { Den Zähler von ADRESS, ADRESSID anzeigen / nicht anzeigen  }
  { Show / do not show the counter of ADDRESS, ADDRESSID       }
  i:= 0;
  for i:=0 to DBGrid1.Columns.Count-1 do begin
    if (DBGrid1.Columns[i].FieldName = 'ADRESSID') then begin
      if DBGrid1.Columns[i].Visible= true
        then DBGrid1.Columns[i].Visible:= false
        else DBGrid1.Columns[i].Visible:= true;
    end;
  end;

  { Den Zähler von CONTACT, CONTACTID und ADRESSID anzeigen / nicht anzeigen  }
  { Show / do not show counter of CONTACT, CONTACTID and ADDRESSID            }
  i:= 0;
  for i:=0 to DBGrid2.Columns.Count-1 do begin

    if (DBGrid2.Columns[i].FieldName = 'ADRESSID') then begin
      if DBGrid2.Columns[i].Visible= true
        then DBGrid2.Columns[i].Visible:= false
        else DBGrid2.Columns[i].Visible:= true;
    end;

    if (DBGrid2.Columns[i].FieldName = 'CONTACTID') then begin
      if DBGrid2.Columns[i].Visible= true
        then DBGrid2.Columns[i].Visible:= false
        else DBGrid2.Columns[i].Visible:= true;
    end;
  end;

end;

{ **************************************************************************** }
{ * CheckBoxMonitorChange                                                    * }
{ **************************************************************************** }
procedure TFormMainTutor2.CheckBoxMonitorChange(Sender: TObject);
begin
  // Der Dateiname Database.log ist fix eingestellt und kann hier geändert werden
  // The file name Database.log is fixed and can be changed here
  // TDataDMTutor2.ZSQLMonitor1.FileName:= 'Database.log';
  DataDMTutor2.ZSQLMonitor1.Active:= (Sender as TCheckBox).Checked;
  DataDMTutor2.ZSQLMonitor1.AutoSave:= (Sender as TCheckBox).Checked;
end;

{ **************************************************************************** }
{ * TFormMainTutor2.Button1Click, zum schnellen Erfassen von Demodaten       * }
{ **************************************************************************** }
procedure TFormMainTutor2.Button1Click(Sender: TObject);
begin
  (*
  DataDMTutor2.ZQuery1.Next;
  DataDMTutor2.ZQuery2.Append;
  DBGrid2.SetFocus;
  *)
end;

{ **************************************************************************** }
{ * SpeedButtonSQLScrptLoadClick                                             * }
{ **************************************************************************** }
procedure TFormMainTutor2.SpeedButtonSQLScrptLoadClick(Sender: TObject);

var filename : string;

begin
  if OpenDialogSQL.InitialDir = '' then OpenDialogSQL.InitialDir:= DEDBSetpath.Text;
  if OpenDialogSQL.Execute then
  begin
    filename := OpenDialogSQL.Filename;
    SynEditSQLCommands.lines.LoadFromFile(filename);
    LabelSQLCommandsFile.Caption:= '  '+ filename;
  end;
end;


{ **************************************************************************** }
{ * SpeedButtonSQLScrptLoadClick  LOADS SQL File into SynEditQuery           * }
{ **************************************************************************** }
procedure TFormMainTutor2.SpeedButtonQueryLoadClick(Sender: TObject);

var filename : string;

begin
  if OpenDialogSQL.InitialDir = '' then OpenDialogSQL.InitialDir:= DEDBSetpath.Text;
  if OpenDialogSQL.Execute then
  begin
    filename := OpenDialogSQL.Filename;
    SynEditQuery.lines.LoadFromFile(filename);
    LabelQueryFile.Caption:= '  '+ filename;
  end;
end;


{ **************************************************************************** }
{ * Zeigt etwas die Gestaltungsmöglichkeiten des DBGrids                     * }
{ **************************************************************************** }
procedure TFormMainTutor2.ButtonEditDBGrid1Click(Sender: TObject);

begin

  // Hier wird zwischen fixer und nicht editierbarer Zeile
  // This is for switching between fixed and non-editable line
  if  ButtonEditDBGrid1.Caption = 'Edit' then begin
    DBGrid1.Options:= DBGrid1.Options - [dgRowSelect];
    DBGrid1.Options:= DBGrid1.Options + [dgEditing, dgRowHighlight];
    DBGrid1.readOnly:= False;
    ButtonEditDBGrid1.Caption:= 'Line';
  end
  // und Zeile mit Highlight und editierbar geswitcht
  // and line with highlight and editable switched
  else begin
    DBGrid1.Options:= DBGrid1.Options + [dgRowSelect];
    DBGrid1.Options:= DBGrid1.Options - [dgEditing, dgAlwaysShowEditor, dgRowHighlight];
    ButtonEditDBGrid1.Caption:= 'Edit';
  end;

  // Im DBGrid1 ist außerdem dgRowHighlight aktiviert und dgRowLines deaktiviert
  // Im DBGrid2 ist dgRowHighlight aktiviert, sonst die Standardeinstellungen

  DBGrid1.SetFocus;

end;


{ **************************************************************************** }
{ * BUTTON CLICK fbclients Suche abbrechen                                   * }
{ **************************************************************************** }
procedure TFormMainTutor2.ButtonFbclientAbbrechenClick(Sender: TObject);
begin
  FileSearchFbclient.Stop:= true;
end;


{ **************************************************************************** }
{ * BUTTON CLICK SpeedButtonSQLScrptSaveClick                                * }
{ **************************************************************************** }
procedure TFormMainTutor2.SpeedButtonSQLScrptSaveClick(Sender: TObject);

var filename: string;
           s: string;

begin
  if SaveDialogSQL.Execute then begin
   filename := SaveDialogSQL.Filename;
   if FileExists(filename) then begin
    { Sicherheitsabfrage wegen Überschreiben }
    { Overwriting security question          }
     s:= ' Write over '+ filename+'? ';
     if MessageDlg(s, mtConfirmation, [mbYes, mbNo],0)=mrYes then begin
       SynEditSQLCommands.lines.SaveToFile(filename);
     end;
   end
   else begin
     SynEditSQLCommands.lines.SaveToFile(filename);
   end;
 end;
end;

procedure TFormMainTutor2.SpeedButtonTakeFromQueriesClick(Sender: TObject);
begin
  DataDMTutor2.ZQueryQQSearch.SQL:= SynEditQuery.Lines;
  SpeedButtonQQOpenClick(nil);
end;


{ **************************************************************************** }
{ * BUTTON CLICK fbclients finden                                            * }
{ **************************************************************************** }
procedure TFormMainTutor2.ButtonFbclientClick(Sender: TObject);

begin
  FbclientFinden;
end;


{ **************************************************************************** }
{ * BUTTON CLICK fbclient übernehmen                                         * }
{ **************************************************************************** }
procedure TFormMainTutor2.ButtonFbclientUebernehmenClick(Sender: TObject);

var s: string;

begin
  { wenn der Dialog mit "öffnen" beendet wurde }
  { if the dialog was ended with "open" }
  s:= ComboBoxFbclient.Text;
  ComboBoxFbclient.Items.Clear;
  ComboBoxFbclient.Items.Add(s);
  ComboBoxFbclient.Text:= s;
  ComboBoxFbclient.ItemIndex:= 0;
  LabelEmbedded.Color:= clGradientInactiveCaption;
  LabelEmbedded.Caption:= 'Der Pfad ist eingestellt!';
  FbClientIniWrite;
end;


{ **************************************************************************** }
{ * Eingestellte Delimiter kommentieren                                      * }
{ **************************************************************************** }
procedure TFormMainTutor2.CHDelimiterChange(Sender: TObject);

var        i: integer;
    delmodus: string;

begin
  { den geänderten Delimiter an ZSQLProcesssor zurückgeben           }
  { return the modified delimiter to ZSQLProcesssor                  }
  if  self.ActiveControl.Name = 'CHDelimiter' then i:= CHDelimiter.ItemIndex;
  if  self.ActiveControl.Name = 'CHDelimiter1' then i:= CHDelimiter1.ItemIndex;

  DataDMTutor2.ZSQLProcessor1.DelimiterType:= TZDelimiterType(i);

  { Anzeige welche SQL-Verarbeitung aufgrund des Delimiters nun möglich ist    }
  { für jeden Delimiter ein Abschnitt, wird womöglich später gebraucht         }
  { Showing which SQL processing is possible due to the delimiter              }
  { a section for each delimiter, may be needed later                          }
  case i of
    0: begin
         delModus:= 'SQL without ;  in the Script';
         CHDelimiter.Font.Color:= clGreen;
       end;

    1: begin
         delModus:= 'Not used';
         CHDelimiter.Font.Color:= clRed;
       end;

    2: begin
         delModus:= 'Not used';
         CHDelimiter.Font.Color:= clRed;
       end;

    3: begin
         delModus:= 'Not used';
         CHDelimiter.Font.Color:= clRed;
       end;

    4: begin
         delModus:= 'SQL with ; in the Skript';
         CHDelimiter.Font.Color:= clGreen;
       end;
  end;

  { Farbe ändern und Text anzeigen }
  { Change color and show text     }
  CHDelimiter1.Font.Color:= CHDelimiter.Font.Color;

  EditDelimeterText.Font.Color:= CHDelimiter.Font.Color;
  EditDelimeterText.Text:= delModus;

  EditDelimeterText1.Font.Color:= CHDelimiter.Font.Color;
  EditDelimeterText1.Text:= delModus;

  CHDelimiter.ItemIndex:= i;
  CHDelimiter1.ItemIndex:= i;

end;


{ **************************************************************************** }
{ * SpeedButtonCloseClick                                                    * }
{ **************************************************************************** }
procedure TFormMainTutor2.SpeedButtonCloseClick(Sender: TObject);

begin
  // Datenbankverbindung am Programmende beenden
  // end database connection at the end of the program
  DataDMTutor2.ZConnection1.Disconnect;
  // Programm beenden
  // End program
  Close;
end;


{ **************************************************************************** }
{ * SpeedButtonCloseQuery2Click                                              * }
{ **************************************************************************** }
procedure TFormMainTutor2.SpeedButtonCloseQuery2Click(Sender: TObject);

begin
   // Die Tabelle von ZQuery2 wird geschlossen - ZQuery2 is closed
   DataDMTutor2.ZQuery2.Close;
end;


{ **************************************************************************** }
{ * SpeedButtonCloseTablesClick                                              * }
{ **************************************************************************** }
procedure TFormMainTutor2.SpeedButtonCloseTablesClick(Sender: TObject);

begin
  DataDMTutor2.ZConnection1.Disconnect;
end;


{ **************************************************************************** }
{ * SpeedButtonDataBaseCreateSQLEditClick                                    * }
{ **************************************************************************** }
procedure TFormMainTutor2.SpeedButtonDataBaseCreateSQLEditClick(Sender: TObject);

begin
  // Ermöglicht das Editieren der Datenbank Erstellungs SQLs
  // Allows editing the database creation SQLs
  SynEditCreate.ReadOnly:= False;
  SynEditCreateTerm.ReadOnly:= False;
end;

{ **************************************************************************** }
{ * SpeedButtonExportADRESSClick                                             * }
{ **************************************************************************** }
procedure TFormMainTutor2.SpeedButtonExportADRESSClick(Sender: TObject);

begin

  with DataDMTutor2 do begin
    // Abfrage, ob ZQueryExport offen ist, dann schließen
    // Query whether ZQueryExport is open, then close
    if ZQueryExport.Active = true then ZQueryExport.Active:= false;
    ZQueryExport.SQL.Clear;
    ZQueryExport.SQL.Add('SELECT * FROM ADRESS');
    ZQuery1.SortedFields:= ''; // 'SURNAME';
    // Durch den Index werden die Daten in der Reihenfolge des INdex ausgegeben
    // The index returns the data in the INdex order
    ZQueryExport.IndexFieldNames:= 'ADRESSID';
    ZQueryExport.Open;
    ZQueryExport.First;
    // Aufruf der eigenen procedure ExportData
    // call our own procedure ExportData
    ExportData(ZQueryExport);
    ZQueryExport.Close;
  end;

end;

{ **************************************************************************** }
{ * SpeedButtonExportContactClick                                            * }
{ **************************************************************************** }
procedure TFormMainTutor2.SpeedButtonExportContactClick(Sender: TObject);

begin

  with DataDMTutor2 do begin
    // Abfrage, ob ZQueryExport offen ist, dann schließen
    // Query whether ZQueryExport is open, then close
    if ZQueryExport.Active = true then ZQueryExport.Active:= false;
    ZQueryExport.SQL.Clear;
    ZQueryExport.SQL.Add('SELECT * FROM CONTACT');
    ZQuery1.SortedFields:= '';
    // Durch den Index werden die Daten in der Reihenfolge des INdex ausgegeben
    // The index returns the data in the INdex order
    ZQueryExport.IndexFieldNames:= 'CONTACTID Asc';
    ZQueryExport.Open;
    ZQueryExport.First;
    // Aufruf der eigenen procedure ExportData
    // call our own procedure ExportData
    ExportData(ZQueryExport);
    ZQueryExport.Close;
  end;

end;

{ **************************************************************************** }
{ * BUTTON CLICK fbclients suchen/finden                                     * }
{ **************************************************************************** }
procedure TFormMainTutor2.SpeedButtonFbclientSucheClick(Sender: TObject);

var      i: integer;
     s, s1: string;

begin

  { Filedialog mit den in der Combobox angezeigten Daten füttern }
  {F eed the file dialog with the data displayed in the combobox }
    i:= ComboBoxFbclient.ItemIndex;
    s1:= ComboBoxFbclient.Items[i];
    s:= ExtractFilePath(s1);
    OpenDialog1.InitialDir:= s;
    s:= ExtractFileName(s1);
    OpenDialog1.FileName:= s;
    OpenDialog1.Title:= '   Search fbclient.dll';

    { Filedialog aufrufen     }
    { Call up the file dialog }
    if OpenDialog1.Execute then begin

      { wenn der Dialog mit "öffnen" beendet wurde }
      { if the dialog was ended with "open"        }
      s:= OpenDialog1.filename;
      ComboBoxFbclient.Items.Clear;
      ComboBoxFbclient.Items.Add(s);
      ComboBoxFbclient.Text:= s;
      ComboBoxFbclient.ItemIndex:= 0;

      { und in INI Datei schreiben }
      { write ti INI File          }
      FbClientIniWrite;
    end;

end;


{ **************************************************************************** }
{ * SpeedButtonChangeSortClick                                               * }
{ **************************************************************************** }
procedure TFormMainTutor2.SpeedButtonChangeSortClick(Sender: TObject);

begin

  with DataDMTutor2 do begin
    // Zwischen Index und Sortierung im laufenden Betrieb wechseln
    // Switch between index and sorting during operation
    if ZQuery1.SortedFields = 'SURNAME' then begin
      // Der Index wird verwendet
      // The index is used
      ZQuery1.IndexFieldNames:= 'ADRESSID Asc';
      ZQuery1.SortedFields:= '';
      ZQuery2.IndexFieldNames:= 'CONTACTID Asc';
      ZQuery2.SortedFields:= '';

    end
    else begin
      // Die Sortierung wird verwendet
      // Sorting is used
      ZQuery1.IndexFieldNames:= '';
      ZQuery1.SortedFields:= 'SURNAME';
      ZQuery2.IndexFieldNames:= '';
      ZQuery2.SortedFields:= 'TITLE';
    end;
  end;

end;


{ **************************************************************************** }
{ * SpeedButtonOpenTablesClick                                               * }
{ **************************************************************************** }
procedure TFormMainTutor2.SpeedButtonOpenTablesClick(Sender: TObject);

var sl: TStringList;
    s : string;
    i, i1: integer;

begin

  { Alle Werte an die ZConnection übergeben                     }
  { Pass all values to the ZConnection                          }
  with DataDMTutor2 do begin

    // Den Focus auf das erste Grid/Feld setzen
    // set the focus to the first grid / field
    DBGrid1.SetFocus;

    // ZConnection schließen und dann mit den aktuellen Werten Öffnen
    // Close ZConnection and then open with the current values
    ZConnection1.Disconnect;
    ZConnectionInit;
    ZConnection1.Connect;

    { *** Die Zugriffsdaten für Query 1 setzen ******************************* }
    { *** Set the access data for Query 1      ******************************* }

    {SQL für Tabellenzugriff setzen direkt in die Stringlist ZQuery.SQL        }
    { vorher eventuellen Inhalt in ZQuery1.SQL mit Clear löschen               }
    { SQL for table access put directly into the stringlist ZQuery.SQL         }
    { previously delete content in ZQuery1.SQL with Clear                      }
    ZQuery1.SQL.Clear;
    s:= 'SELECT * FROM ADRESS';
    ZQuery1.SQL.Add(s);

    // Index setzen . Set index
    ZQuery1.IndexFieldNames:= 'ADRESSID Asc';

    // Und ZQuery1 öffnen
    ZQuery1.Open;

    // Die Breite der Felder im DBGrid1 anpassen, da diese sonst aufgrund der
    // Zeichenangabe (Anzahl Zeichen im Feld) extrem breit wären
    // Hier wird für jedes einzelne Feld ein Wert zugewiesen
    // adjust the width of the fields in DBGrid1 otherwise the
    // number of characters in the field would be extremely wide
    // Here a value is assigned for each individual field

    // Jedes Feld im DBGrid1 einzeln anpassen, die Zahl entspricht Pixeln
    // Customize each field in DBGrid1, the number corresponds to pixels
    DBGrid1.Columns[0].Width:=  80;  // ADRESSID
    DBGrid1.Columns[1].Width:= 110;  // NAME1
    DBGrid1.Columns[2].Width:= 110;  // NAME2
    DBGrid1.Columns[3].Width:= 160;  // SURNAME
    DBGrid1.Columns[4].Width:= 140;  // COMPANY
    DBGrid1.Columns[5].Width:= 120;  // ADRESSLINE1
    DBGrid1.Columns[6].Width:= 120;  // ADRESSLINE2
    DBGrid1.Columns[7].Width:=  60;  // POSTCODE
    DBGrid1.Columns[8].Width:= 100;  // CITY
    DBGrid1.Columns[9].Width:= 120; // COUNTRY
    // DBGrid1.Columns[10].Width:= 120; Fehler, da kein weiteres Feld vorhanden

    { Die Überschrift wird beim 8. Feld (0 ist 1. Feld)                        }
    { von POSTCODE auf PLZ geändert, zur Veranschaulichung dieser Möglichkeit  }
    { The heading will be at the 8th field (0 is the 1st field)                }
    { changed from POSTCODE to post code to illustrate this possibility        }
    DBGrid1.Columns[7].Title.Caption:= 'PLZ';

    { *** Die Zugriffsdaten für Query 2 setzen ******************************* }
    { *** Set the access data for Query 2      ******************************* }

    { SQL für Tabellenzugriff setzen mit Stringlist                            }
    { Brauchbar  wenn man einen SQL Befehl mit mehreren Zeilen zusammensetzt   }
    { ZQuery2.SQL ist ebenfalls eine Stringlist                                }
    {Set SQL for table access with stringlist}
    {Useful if you compose a SQL command with several lines}
    {ZQuery2.SQL is also a stringlist}
    sl:= TStringList.Create;
    sl.Add('SELECT * FROM CONTACT');
    ZQuery2.SQL:= sl;
    // Eine Stringlist muss freigegeben werden
    // A stringlist must be released
    sl.Free;

    // Index für ZQuery2 setzen
    // Set index for ZQuery2
    ZQuery2.IndexFieldNames:= 'CONTACTID Asc';

    // Verknüpfung mit Query1 ( Adresse zu Kontaktliste) setzen
    // Dies kann man auch in den Properties
    // Set link to Query1 (address to contact list)
    // This can also be done in the properties                                         }

    { Die Anzeige von ZQuery2 hängt von ZQuery1 ab                             }
    { Jeweils die Kontaktinformationen der jeweils aktiven Adresse in ZQuery1  }
    ZQuery2.MasterSource:= DataSource1;
    { Die Kontaktdaten werden über die ADRESSID verknüpft= SQL beim Erstellen: }
    { Korreliert mit folgendem SQL Text:                                       }
    { The contact details are linked via the ADDRESSID = SQL when creating:    }
    { Correlated with the following SQL text: }
    { ALTER TABLE CONTACT                                                      }
    { ADD FOREIGN KEY (ADRESSID)                                               }
    { REFERENCES ADRESS (ADRESSID);                                            }
    ZQuery2.MasterFields:= 'ADRESSID';
    ZQuery2.LinkedFields:= 'ADRESSID';

    // Opens = Activate the Table
    ZQuery2.Open;

    { Suchen, ob sich eine Feld mit dem Namen TITLE im Datensatz befindet }
    { Find if a field named TITLE is in the record                        }
    i1:= -1;
    i:= 0;
    repeat
      if (DBGrid2.Columns[i].FieldName = 'TITLE') then i1:= i;
      i:= i+ 1;
    until (i >(DBGrid2.Columns.Count)-1);

    { Wenn JA, dann die Auswahlliste an die Tabellenspalte TITEL übergeben }
    { If YES, then pass the selection list to the TITLE table column       }
    if i1 > -1 then begin
      DBGrid2.Columns[i1].PickList.Clear;
      DBGrid2.Columns[i1].PickList.Add('Phone');
      DBGrid2.Columns[i1].PickList.Add('Handy');
      DBGrid2.Columns[i1].PickList.Add('Email');
      DBGrid2.Columns[i1].PickList.Add('Skype');
    end;

    // Die Anzeige der Felder im DBGrid2 einkürzen, alle auf 120 Pixel
    // Shorten the display of the fields in DBGrid2, all to 120 pixels
    // eine einfache Lösung - a simple solution
    For i:= 0 to (DBGrid2.Columns.Count)-1 do begin
      DBGrid2.Columns[i].Width:= 120;
    end;
  end;

end;


{ **************************************************************************** }
{ * SpeedButtonSCLScriptExecuteClick                                         * }
{ **************************************************************************** }
procedure TFormMainTutor2.SpeedButtonSCLScriptExecuteClick(Sender: TObject);

begin

  { Durchführung einer SQL Befehlsliste mit ZSQLProcessor }
  { Execution from a SQL command list wit ZSQLProcessor   }
  DataDMTutor2.ZConnection1.Disconnect;
  DataDMTutor2.ZConnection1.Connect;
  { hands command list from SynEditSQLCommands to ZSQLProcessor1 }
  DataDMTutor2.ZSQLProcessor1.Script:= SynEditSQLCommands.Lines;
  DataDMTutor2.ZSQLProcessor1.CleanupStatements;  // entfernt Kommentare
  // DataDMTutor2.ZSQLProcessor1.Parse;
  DataDMTutor2.ZSQLProcessor1.Execute;
  DataDMTutor2.ZConnection1.Connected:= false;
  DataDMTutor2.ZSQLProcessor1.Clear;
  ShowMessage('SQL Command sended ready');

      (*
      ZSQLProcessor1.Delimiter:='^';
      ZSQLProcessor1.DelimiterType:= dtSetTerm;
      ZSQLProcessor1.LoadFromFile(ExtractFilePath(ParamStr(0))+'\SQL_UPDATE.sql');
      ZSQLProcessor1.CleanupStatements; // Kommentare entfernen
      ZSQLProcessor1.Parse;
      if(ZSQLProcessor1.StatementCount>0) then
      begin
        ZConnection1.StartTransaction;
        try
          ZSQLProcessor1.Execute;
          ZConnection1.Commit;
        except
          ZConnection1.Rollback;
        end;
      end;
      case solved i set Property ParamCheck to False :D
      ZEOS Rock!!!
      *)


end;


{ **************************************************************************** }
{ * SpeedButtonSpeedButtonQuerySaveClick SAVE SQL File                       * }
{ **************************************************************************** }
procedure TFormMainTutor2.SpeedButtonSpeedButtonQuerySaveClick(Sender: TObject);

var filename: string;
           s: string;

begin
    { Wenn der Button zur Ausführung gedrücjt wurde }
    { Button Save File was pressed }
    if SaveDialogSQL.Execute then begin
     filename := SaveDialogSQL.Filename;

      { Sicherheitsabfrage wegen Überschreiben }
      { Should the file be overwritten?        }
      if FileExists(filename) then begin
       s:= ' Write over '+ filename+'? ';
       if MessageDlg(s, mtConfirmation, [mbYes, mbNo],0)=mrYes then begin
         SynEditQuery.lines.SaveToFile(filename);
       end;
     end
     else begin
       SynEditQuery.lines.SaveToFile(filename);
     end;
   end;

end;


{ **************************************************************************** }
{ * DATABASE CREATE                                                          * }
{ **************************************************************************** }
procedure TFormMainTutor2.SpeedButtonDataBaseCreateClick(Sender: TObject);

var c: char;
    s: string;

begin

  // Zeilenvorschub für MessageDlg
  // Linefeed for MessageDlg
  c:= #13;

  // Soll die existierende Datenbank überschrieben werden?
  //  Shold existing Databas be overwritten?
  if FileExists(DatabaseName) then
  begin
    s:= 'Do you wish overwrite existing Database:'+ c+ DatabaseName+'?'+ c;
    if MessageDlg('Create Database', s, mtConfirmation, [mbYes, mbNo], 0) = mrNo then
    begin
      // Msg dass die Datenbankerstellung abgebruochen wurde
      // the Database should not maked new
      ShowMessage('Database create aborted!');
      Exit;
    end;
  end;

  // Alte Datenbank löschen
  // Delete old database
  DataDMTutor2.ZConnection1.Disconnect;
  DeleteFile(DatabaseName);

  // Nur die Datenbank erstellen
  // Create Database only
  DataBaseCreate;

  // ZConnection die eingestellten Werte zuweisen
  // init new with current data
  ZConnectionInit;

  // Take Tables and other to Database
  with DataDMTutor2 do begin

    // Datenbank trennen und mit den neuesten Einstellungen wieder starten
    // Disconnect database, init new with current data and start new
    ZConnection1.Disconnect;
    ZConnectionInit;
    ZConnection1.Connect;
    // Und die in SynEditCreateTerm gespeicherten SQL Befehle ausführen
    // Assign the data from SynEditCreate Editor to ZSQLProcessor1
    ZSQLProcessor1.Script:= SynEditCreate.Lines;
    // SQL ausführen
    // Execute SQL
    if ZSQLProcessor1.Script.Count>0 then ZSQLProcessor1.execute;
    // Verbindung zur Datenbank trennen
    // Disconnect Database
    ZConnection1.Connected:= false;
    // Delimiter auf SETTERM setzen
    // Set Delimiter to SETTERM
    ZSQLProcessor1.DelimiterType:= TZDelimiterType(4);
    ZConnection1.Connected:= true;
    // Und die in SynEditCreateTerm gespeicherten SQL Befehle zuweisen
    // Assign the data from SynEditCreateTerm Editor to ZSQLProcessor1
    ZSQLProcessor1.Script:= SynEditCreateTerm.Lines;
    // SQL ausführen
    // Process SQL
    if ZSQLProcessor1.Script.Count>0 then ZSQLProcessor1.execute;
    // Verbindung zur Datenbank trennen
    // Close connection to database
    ZConnection1.Connected:= false;
    // Delimiter auf Standardwert zurücksezten
    // Set Delimiter to standard
    ZSQLProcessor1.DelimiterType:= TZDelimiterType(0);
    ZSQLProcessor1.Script.Clear;
  end;

  { Datenbank wurde angelegt                  }
  { Database is created                       }
  if fileexists(DatabaseName) = true then begin
    s:= 'Database'+ c+ DatabaseName+ c+ 'is created!';
    ShowMessage(s);
  end;

end;

{ **************************************************************************** }
{ * PROCEDURE ExportData for example with  MyExporter                        * }
{ **************************************************************************** }
procedure TFormMainTutor2.ExportData(var qry: TZQuery);

var expfilename: string;
              s: string;

begin

  { Das Verzeichnis, in dem das Programm läuft als Startverzeichnis nehmen }
  SaveDialog1.InitialDir:= ExtractFilePath(Application.ExeName);
  { Vorschlag für die auszugebende Datei }
  s:= 'MyExport1.txt';
  SaveDialog1.Filename:= s;
  { Savedialog wurde nicht abgebrochen, es soll eine Datei angelegt werden }
  if SaveDialog1.Execute then begin
    expfilename:= SaveDialog1.Filename;
    { Sicherheitsabfrage ob überschrieben werden soll }
    if FileExists(expfilename) then begin
      s:= ' Write over '+ expfilename+'? ';
      { Wenn die Sicherheitsabfrage mit JA - überschreiben endet, dann schreiben }
      if MessageDlg(s, mtConfirmation, [mbYes, mbNo],0)=mrYes then begin
        MyExporter.FileName:= expfilename;
        MyExporter.Dataset:= qry;
        qry.First;
        MyExporter.Execute;
      end;
    end
    { Es wurde keine existierende Datei festgestellt, Daten hinausschreiben }
    else begin
      MyExporter.FileName:= expfilename;
      MyExporter.Dataset:= qry;
      qry.First;
      MyExporter.Execute;
    end;
  end;
end;

(* ************************************************************************** *)
{ **************************************************************************** }
{ * Hilfe Offline                                                            * }
{ **************************************************************************** }
procedure TFormMainTutor2.SpeedButtonOfflineClick(Sender: TObject);

// var AProcess: TProcess;
// var  prog: string;
var edfile: string;

begin

  // The place where the RTF Files are
  edfile:= ExtractFilePath(Application.ExeName)+ '\RTF\';

  Case (Sender as TSpeedButton).Tag of

    1: begin
      edfile:= edfile+ 'QueryQuery.rtf';
       end;

    2: begin
         edfile:= edfile+ 'Queries.rtf';
       end;
    3: begin
         edfile:= edfile+ 'EditQuery.rtf';
       end;
    4: begin
         edfile:= edfile+ 'EditTable.rtf';
       end;
    5: begin
          edfile:= edfile+ 'SQLCommands.rtf';
       end;
    6: begin
         edfile:= edfile+ 'CreateDatabase.rtf';
       end;
    7: begin
         edfile:= edfile+ 'Settings.rtf';
       end;
    8: begin
         edfile:= edfile+ 'Overview.rtf';
       end;
  end;
  // Opens the document with the standard program
  OpenDocument(edfile);

  (*
  // Here You can access a Program to RTF Files
  // Das verwendete Programm, um RTF anzuzeigen und zu editieren
  prog:= 'C:\Windows\write.exe';

  // Den aufrufenden Prozess generieren
  AProcess := TProcess.Create(nil);
  // AProcess.Executable maybe := 'C:\Windows\wordpad.exe';
  // Notwendige Parameter setzen
  AProcess.Options:=AProcess.Options-[poWaitOnExit];

  // mit try starten, damit AProcess.Free auf jeden Fall aufgerufen wird
  try
    // Pfad und Dateinamen zuweisen
    AProcess.Executable:= prog+ ' "'+ edfile+'"';
    // Und ausführen
    AProcess.Execute;
    // while AProcessIst unter Umständen notwendig, wenn man auf
    // das aufrufende Programm nicht mehr zugreifen kann
    // while AProcess.Active do Application.ProcessMessages;
  finally
    // Den 'belegten Speicher von AProcess wieder freigeben
    AProcess.Free;
  end;
  *)

end;

{ **************************************************************************** }
{ * SpeedButtonOnlineClick HELP Online from Webpage lazarus.intern.es        * }
{ **************************************************************************** }
procedure TFormMainTutor2.SpeedButtonOnlineClick(Sender: TObject);

var htmlsite: string;
      domain: string;

begin

  if Language = 'deutsch' then domain:= 'https://lazarus.intern.es/'
                          else domain:= 'https://lazarus.intern.ws/';

  htmlsite:= domain+ 'tutor2_firebird_lazarus_zeos_';

  Case (Sender as TSpeedButton).Tag of

    1: begin
         htmlsite:= htmlsite+ 'query_query.html';
       end;
    2: begin
         htmlsite:= htmlsite+ 'queries.html';
       end;
    3: begin
         htmlsite:= htmlsite+ 'edit_query.html';
       end;
    4: begin
         htmlsite:= htmlsite+ 'edit_table.html';
       end;
    5: begin
          htmlsite:= htmlsite+ 'sql_commands.html';
       end;
    6: begin
         htmlsite:= htmlsite+ 'create_database.html';
       end;
    7: begin
         htmlsite:= htmlsite+ 'database_settings.html';
       end;
    8: begin
         htmlsite:= domain+ 'tutorial_firebird_lazarus_zeos_2.html';
       end;
    9: begin
         htmlsite:= domain+ 'tutorial_firebird_lazarus_zeos_2.html';
       end;
    10:begin
         htmlsite:= 'https://sourceforge.net/projects/zeoslib/files/documentation/';
       end;
    11:begin
         htmlsite:= 'https://sourceforge.net/projects/zeoslib/files/documentation/';
       end;
    // For Delphi, but also good fpr Lazarus
    12:begin
         htmlsite:= 'https://www.delphi-treff.de/tutorials/datenbanken/'+
                     'zeos-library-einsatz-mit-delphi-und-firebird/';
       end;
    // SQL Tutorial www.w3schools.com
    13:begin
         htmlsite:= 'https://www.w3schools.com/sql/default.asp';
       end;
    // GERMAN SQL Tutor from MySQL
    14:begin
         htmlsite:= 'https://www.php-einfach.de/mysql-tutorial/uebersicht-sql-befehle/';
       end;
    // Firebird Database Dokumentation in German
    15:begin
         htmlsite:= 'https://www.firebirdsql.org/manual/de/firebird-database-'+
                    'documentation-de.html';
       end;
    // Firebird Index for German
    16:begin
         htmlsite:= 'https://www.firebirdsql.org/manual/de/qsg2-de-index.html';
       end;
    // Firebird Index for German
    30:begin
         htmlsite:= 'https://www.w3schools.com/sql/default.asp';
       end;

  end;
  // Opens the Website
  OpenUrl(htmlsite);

end;

{ **************************************************************************** }
{ * SpeedButtonPdfClick OPENS PDF FILES COME WITH APPLICATION                * }
{ **************************************************************************** }
procedure TFormMainTutor2.SpeedButtonPdfClick(Sender: TObject);

var  pdffile: string;

begin

  { Path from Application + PDF Location }
  pdffile:= ExtractFilePath(Application.ExeName)+ 'PDF\'; //? '\PDF\';

  { The Tag from TSpeedButton differ, change the name of PDF Files }
  Case (Sender as TSpeedButton).Tag of

    1: begin
         pdffile:= pdffile+ 'QueryQuery.pdf';
       end;

    2: begin
         pdffile:= pdffile+ 'Queries.pdf';
       end;
    3: begin
         pdffile:= pdffile+ 'EditQuery.pdf';
       end;
    4: begin
         pdffile:= pdffile+ 'EditTable.pdf';
       end;
    5: begin
          pdffile:= pdffile+ 'SQLCommands.pdf';
       end;
    6: begin
         pdffile:= pdffile+ 'CreateDatabase.pdf';
       end;
    7: begin
         pdffile:= pdffile+ 'Settings.pdf';
       end;
    8: begin
         pdffile:= pdffile+ 'Overview.pdf';
       end;
    20: begin
          pdffile:= pdffile+ 'ZeosDocumentationCollection-2017-03-20.pdf';
        end;
  end;

  { Opens file on computer with default application }
  OpenDocument(pdffile);

end;

{ **************************************************************************** }
{ * LabelDownloadTurbobirdDblClick OPENS WEBBROSER WITH TURBOBIRD DOWNLOAD   * }
{ **************************************************************************** }
procedure TFormMainTutor2.LabelDownloadTurbobirdDblClick(Sender: TObject);
begin
    OpenUrl('http://code.sd/products/turbobird/');
end;

{ **************************************************************************** }
{ * PanelStartTopDblClick START WEBBROWSER WITH lazarus.intern.es            * }
{ **************************************************************************** }
procedure TFormMainTutor2.PanelStartTopDblClick(Sender: TObject);
begin
  OpenUrl('https://lazarus.intern.es');
end;

{ **************************************************************************** }
{ * SpeedButtonTurbobirdClick START TURBOBIRD                                * }
{ * TProcess = "Full featured" und Cross-Plattform benötigt die Unit Process * }
{ **************************************************************************** }
procedure TFormMainTutor2.SpeedButtonTurbobirdClick(Sender: TObject);

var AProcess: TProcess;

begin

  // Notwendig, damit Turbobird verwendet werden kann
  // DataDMTutor2.ZConnection1.Disconnect;

  // Wo sich TurboBird befindet, bei Embeddeed Server muss das im gleichen
  // Verzeichnis wie die Embedded Datenbank sein = DatabaseLibrary

  // Den aufrufenden Prozess generieren
  AProcess := TProcess.Create(nil);

  // Notwendige Parameter setzen
  AProcess.Options:=AProcess.Options-[poWaitOnExit];

  // mit try starten, damit AProcess.Free auf jeden Fall aufgerufen wird
  try
    // Pfad und Dateinamen zuweisen
    AProcess.Executable := ToolPath;
    // Und ausführen
    AProcess.Execute;
    // while AProcessIst unter Umständen notwendig, wenn man auf
    // das aufrufende Programm nicht mehr zugreifen kann
    // while AProcess.Active do Application.ProcessMessages;
  finally
    // Den 'belegten Speicher von AProcess wieder freigeben
    AProcess.Free;
  end;

end;

{ **************************************************************************** }
{ * SpeedButtonDBToolClick SEARCHES FOR LOCATION FROM TURBOBIRD              * }
{ **************************************************************************** }
procedure TFormMainTutor2.SpeedButtonDBToolClick(Sender: TObject);

var s, s1: string;

begin

  { Filedialog mit den in der Combobox angzeigten Daten füttern }
  OpenDialog1.Title:= '   Search Turbobird.exe';
  OpenDialog1.Filter:= ('Program *.exe');
  { Filedialog mit den in der Combobox angzeigten Daten füttern }
   s:= EdtToolPath.Text;
   if s='' then begin
     s:= ExtractFilePath(Application.ExeName);
     s1:= 'Turbobird.exe';
   end
   else begin
     s:= ExtractFilePath(ToolPath);
     s1:= ExtractFileName(ToolPath);
   end;

   { Vorgabe zum öffnen des Dialogs }
   OpenDialog1.InitialDir:= s;
   OpenDialog1.FileName:= s1;

   { Filedialog aufrufen }
   if OpenDialog1.Execute then begin

     { wenn der Dialog mit "öffnen" beendet wurde }
     s:= OpenDialog1.filename;
     EdtToolPath.Text:= s;

     { und in INI Datei schreiben }
     DataIniWrite;
   end;

end;

{ **************************************************************************** }
{ * SpeedButtonLoadLogFileClick OPEN THE LOGFILE                             * }
{ **************************************************************************** }
procedure TFormMainTutor2.SpeedButtonLoadLogFileClick(Sender: TObject);

var s: string;

begin
  s:= ExtractFilePath(Application.ExeName)+ '\database.log';
  OpenDocument(s);
end;


{ **************************************************************************** }
{ * SpeedButtonDeleteLogFileClick  DELETE THE LOG FILE                       * }
{ **************************************************************************** }
procedure TFormMainTutor2.SpeedButtonDeleteLogFileClick(Sender: TObject);

var s: string;

begin
  s:= ExtractFilePath(Application.ExeName)+ '\database.log';
  DeleteFile(s);
  ShowMessage('  Logfile is deleted');
end;



end.

